Update a Shipping Category
Updates a Shipping Category
PATCH
/
api
/
v2
/
platform
/
shipping_categories
/
{id}
Update a Shipping Category
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shipping_category: {name: 'Another Category'}})
};
fetch('http://{defaultHost}/api/v2/platform/shipping_categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/shipping_categories/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipping_category": {
"name": "Another Category"
}
}
'{
"data": {
"id": "141",
"type": "shipping_category",
"attributes": {
"name": "Default",
"created_at": "2022-11-08T19:35:22.647Z",
"updated_at": "2022-11-08T19:35:22.876Z"
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Record updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a Shipping Category
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shipping_category: {name: 'Another Category'}})
};
fetch('http://{defaultHost}/api/v2/platform/shipping_categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/shipping_categories/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipping_category": {
"name": "Another Category"
}
}
'{
"data": {
"id": "141",
"type": "shipping_category",
"attributes": {
"name": "Default",
"created_at": "2022-11-08T19:35:22.647Z",
"updated_at": "2022-11-08T19:35:22.876Z"
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}
